$(document).ready(function() {
    $(".js--tracking-bar--input").on("input", function() {
      $(this).val() ? $(this).parent().attr("data-form-value-state", "set") : $(this).parent().attr("data-form-value-state", "unset")
    })
})

$(document).ready(function() {
  $('#49').click(function(event) {
    if ($('#c-voc-marketing-stage-tracking--input').val() === '') {
      event.preventDefault(); // Empêche l'envoi du formulaire par défaut
      // Affiche le message d'erreur s'il y a lieu
      $('.c-form-step--error-message').css('display', 'block');
      // Change le style de l'input pour indiquer l'erreur
      $('#c-voc-marketing-stage-tracking--input').css('box-shadow', '0 0 0 .1rem #d40511');
    } else {
        
    }
  });
});